Subject: Re: [devel-ipsec] [PATCH ipsec-next, v2] xfrm: support sending NAT keepalives in ESP in UDP states

From: Michael Richardson <[email-masked]>
Date: Sun, 10 Dec 2023 16:06:12 -0500

Eyal Birger <[email-masked]> wrote:
    >> As a general comment, until this work is RCU'ed I'm wondering how it
    >> will perform on systems with thousands of SAs. As you say: this is a
    >> place for improvement.  If no keepalives are set, does the code need
    >> to walk the xfrm states at all.  I wonder if that might mitigate the
    >> situation for bigger systems that have not yet adapted.  I don't see a
    >> way to not include this code.

    > The work isn't scheduled unless there are states with a defined
    > interval, so afaict this shouldn't affect systems not using this
    > feature. Or maybe I didn't understand your point?

That wasn't obvious to me from my review, but that certainly sounds ideal.
Thank you.